function [Observed,Latent_temp,OHLP2]=findPossibleLatentSplit3(cc,l,Observed,l_ch)

%  % initialize- read the observed variables from the data (major clusters
%     Observed=struct([]);
%     for k=1:length(cc(1,:))
%     Observed(k).name=['O',num2str(k)];
%     Observed(k).PCC_index=k;
%     Observed(k).parentAdded=false;
%     Observed(k).SLP=[];
%     Observed(k).CH=[];
%     Observed(k).PA=[];
%     Observed(k).type='Observed';
%     end

% find possible latent
OHLP2=[];
ohlp_index=0;
latent_index=0;
Latent_temp=struct([]);
for i=1:length(l_ch)
    Observed(l_ch(i)).parentAdded2=false;
    Observed(l_ch(i)).SLP2=[];
    Observed(l_ch(i)).CH=[];
    Observed(l_ch(i)).PA=[];
end
%first main loop
for i=1:length(l_ch)
    slp_index=0; %in the beginning no other obs identified to have the same parent
    for j=1:length(l_ch)
        if i==j
            continue;
        end
        flag=0;
        for t=1:length(cc(:,1))
            if cc(t,l_ch(i))~=cc(t,l_ch(j))
                flag=1;
            end
        end
        if(flag==0)
           slp_index=slp_index+1;
            Observed(l_ch(i)).SLP2(slp_index)=l_ch(j);
            found=0;
            for k=1:length(OHLP2)
                if(OHLP2(k)==l_ch(i))
                    found=1;
                    break;
                end
            end
            if(found==0)
                ohlp_index=ohlp_index+1;
                OHLP2(ohlp_index)=l_ch(i);
            end
                
        end%if
    end%for
end%for
 %second main loop
 if length(OHLP2)~=0
    for k=1:length(OHLP2(1,:))
        if Observed(OHLP2(k)).parentAdded2==false
            Observed(OHLP2(k)).name
            latent_index=latent_index+1;
            latent_index
            Latent_temp(latent_index).name=['L',num2str(l),num2str(latent_index)];
            Latent_temp(latent_index).name
          %  Latent_temp(latent_index).sd=depth;
            Latent_temp(latent_index).CH=[];
            Latent_temp(latent_index).OCH=[];
            Latent_temp(latent_index).PA=[];
            Latent_temp(latent_index).K={};% number of changes in PCCS_2S_tag -one for each path
            Latent_temp(latent_index).W={};
            Latent_temp(latent_index).D=[];
            Latent_temp(latent_index).UD=[];
            Latent_temp(latent_index).PATH={};
            Latent_temp(latent_index).PPS={};
            Latent_temp(latent_index).type='Latent';
            Latent_temp(latent_index).CH(1)=OHLP2(k);
            Latent_temp(latent_index).OCH(1)=OHLP2(k);
            Latent_temp(latent_index).PCC_index=length(Observed)+latent_index;
            Observed(OHLP2(k)).parentAdded2=true;
            Observed(OHLP2(k)).PA2(1)=Latent_temp(latent_index).PCC_index;
            for j=1:length (Observed(OHLP2(k)).SLP2)
                Latent_temp(latent_index).CH(j+1)=Observed(OHLP2(k)).SLP2(j);
                Latent_temp(latent_index).OCH(j+1)=Observed(OHLP2(k)).SLP2(j);
                Observed(Observed(OHLP2(k)).SLP2(j)).parentAdded2=true;
                Observed(Observed(OHLP2(k)).SLP2(j)).PA2(1)=Latent_temp(latent_index).PCC_index;
            end
        end
    end
 end