function [bnet2, LLtrace]=learnParametersEM(dag,ns,cases_inc)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% run the EM algorithm to learn the parameters of the bnet using the
% incomplete data created above.

bnet=mk_bnet(dag,ns);
for i=1:length(ns)
    bnet.CPD{i}=tabular_CPD(bnet,i);
end
engine = jtree_inf_engine(bnet);
max_iter = 10;
[bnet2, LLtrace] = learn_params_em(engine, cases_inc, max_iter);